/*
When I say " dark dither," I'm talking about an icon where
every other pixel is black, and the rest are transparent. Such
an icon would be used as an overlay to create the effect of
darkness.
*/

proc
	//returns the generated dither icon
	generate_dark_dither()
		var/icon/result = icon('trans.dmi')
		var/icon/black  = icon('demo/black.dmi')
		//go each pixel in an icon, checking whether it should be made black or transparent.
		//every other pixel should be black; the remaining pixels, transparent.
		for(var/px = 1 to 32) for(var/py = 1 to 32)
			//unless px and py are either both even or both odd, make the pixel black
			if(isOdd(px) != isOdd(py)) result.Blend(black.Pixel(px,py),ICON_OR)
		return result

	isOdd(n)
		if(n&1) return 1
		return 0