icon/proc
	//returns a single pixel of an icon
	Pixel(px,py,original_loc = 1)
		ASSERT(px >= 1 && px <= 32 && py >= 1 && py <= 32)
		var/icon/pixel = icon(src)
		pixel = pixel.IsolateVerticalLine(px)
		pixel = pixel.IsolateHorizontalLine(py)
		if(!original_loc)
			pixel.Shift(SOUTH,py-1)
			pixel.Shift(WEST ,px-1)
		return pixel

	IsolateVerticalLine(px)
		var/icon/line = icon(src)
		line.Shift(EAST,32-px)	//Cut it to the right
		line.Shift(WEST,31)		//Cut it to the left
		line.Shift(EAST,px-1)	//Return it to the original position
		return line

	IsolateHorizontalLine(py)
		var/icon/line = icon(src)
		line.Shift(NORTH,32-py)	//Cut it at the top
		line.Shift(SOUTH,31)	//Cut off the bottom
		line.Shift(NORTH,py-1)	//Return it to the original position
		return line

	//the following three procs are there to maintain backwards-compatability
	GetPixel(px,py,origLoc = 1)
		return src.Pixel(px,py,origLoc)

	IsolateVertical(px)
		return IsolateVerticalLine(px)

	IsolateHorizontal(py)
		return IsolateHorizontalLine(py)